%global commit 887cbbbd2b2007478f43d1ae285c7a9cf07ef8a4
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global gitdate 20210309


Name:                    emelf
Version:                 0.1.3
Release:                 2%{?dist}
Summary:                 EMELF is an Executable and Linkable File format for MERA 400. It provides program for manipulating EMELF files.

License:                 GPLv2+
URL:                     https://github.com/jakubfi/emelf
Source0:                 https://github.com/jakubfi/emelf/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

BuildRequires:           gcc
BuildRequires:           cmake
Requires:                libemelf

%description
EMELF is an Executable and Linkable File format for MERA 400. It provides library for manipulating EMELF files as well as a command-line tool, emelfread.


%package -n libemelf
Summary: This is a library for manipulating EMELF files

%description -n libemelf
Package provides a library for manipulating EMELF files


%package -n libemelf-devel
Summary: This is a library for manipulating EMELF files

%description -n libemelf-devel
Package consists of libemelf development headers


%prep
%setup -q -n %{name}-%{commit}

%build
%cmake
%cmake_build

%install
%cmake_install

%files -n emelf
%license COPYING
%{_bindir}/emelfread

%files -n libemelf
%{_libdir}/libemelf.so
%{_libdir}/libemelf.so.0.1

%files -n libemelf-devel
%{_includedir}/emelf.h
%{_libdir}/emelf/emelf-config-version.cmake
%{_libdir}/emelf/emelf-config.cmake

%changelog
* Sat Dec 11 2021 Paweł Marciniak <sunwire+repo@gmail.com> - 0.1.3-2
- Split into separate packages

* Sat Dec 4 2021 Paweł Marciniak <sunwire+repo@gmail.com> - 0.1.3-1
- Initial build

